{% extends "base.html" %}
{% block body %}
    {% if not user.has_permission('dns.ro') %}
        <div class="alert alert-warning" role="alert">
            <strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i></strong> Möglicherweise
            werden hier nicht alle Records angezeigt (je nach Berechtigung).
        </div>
    {% endif %}
    <div id="list{{ fqdn }}">
        <table class="table table-striped" id="{{ type }}">
            <tr>
                <th class="vertical-center" colspan="2"
                    title="{{ colnames['NTree']['fqdn'].long_title }}">{{ colnames['NTree']['fqdn'].short_title_abs }}</th>
                <th class="vertical-center"
                    title="{{ colnames['NTree']['description'].long_title }}">{{ colnames['NTree']['description'].short_title_abs }}</th>
                <th class="vertical-center">Record-Data</th>
                <th class="rr-list-anchor">Record-Typ</th>
                <th class="vertical-center">Bereiche</th>
                <th class="vertical-center">Aktionen</th>
                <th>
                    <a href="{{ url_for('dnsvs.create_rr_data_fqdn', fqdn=fqdn, src='recs') }}"
                       title="Neuen Record anlegen" class="btn btn-outline-success"><i
                            class="fa fa-plus"></i></a>
                </th>
            </tr>
            <tbody class="list">
            {% for i in rr %}
                <tr>
                    {% if loop.first %}
                        <td rowspan="{{ rr|length }}" class="fqdn vertical-center" title="{{ i['NTree'].dbnt_name }}">
                            {{ fqdn }}
                        </td>
                        <td rowspan="{{ rr|length }}" class="vertical-center">
                            <div class="btn-group">
                                <button type="button" class="btn btn-default dropdown-toggle"
                                        data-toggle="dropdown" aria-haspopup="true"
                                        aria-expanded="false">
                                    <i class="fa fa-info-circle"
                                       aria-hidden="true"></i> <span class="caret"></span>
                                </button>
                                <div class="dropdown-menu">
                                    <a class="dropdown-item" href="{{ url_for('dnsvs.inspect_fqdn_refs', fqdn=fqdn) }}">Alle
                                        Referenzen auf FQDN</a>
                                </div>
                            </div>
                        </td>
                        <td rowspan="{{ rr|length }} " class="description vertical-center">
                            {{ i['NTree'].description }}
                        </td>
                    {% endif %}
                    <td class="rr-data" data-rr="{{ i['rr'].rr_data }}">
                        <code title="{{ i['rr'].inttype.name }}">{{ i['rr'].rr_data }}</code>
                        {% if i['rr'].host_is_nws %}
                            <a class="badge badge-primary" target="_blank" href=
                                    "https://www-net{% if not omdl.OP_ENV_IS_PROD %}-devel{% endif %}.scc.kit.edu/~netadmin/natvs/user/wrapper.cgi/{{ i['ranges'][0] }}/{{ i['nws_range'].print_name }}/nat_index.html">
                                NATVS</a>
                        {% endif %}
                    </td>
                    <td>{{ i['rr'].inttype.dns_rr_type_name }}</td>
                    <td>{% for a in i['ranges'] %}
                        <a href="{{ url_for('dnsvs.inspect_area', area=a.split('/')[0],suffix= a.split('/')[1], _anchor='sec'+i['rr'].inttype.dns_rr_type_name) }}">{{ a }}</a>
                        {% if not loop.last %},{% endif %}
                    {% endfor %}
                    </td>
                    <td colspan="2">
                        {% if i['rr'].inttype.name and not i['rr'].force_auto_dml%}
                            <a href="{{ url_for('dnsvs.edit_rr_data_fqdn', inttype=i['rr'].inttype.name, rr_data=i['rr'].rr_data, fqdn=i['NTree'].fqdn, src='recs') }}"
                               class="btn btn-outline-primary"><i
                                    class="fa fa-pencil"></i></a>
                            <form method="post" class="inline"
                                  action="{{ url_for('dnsvs.delete_rr_fqdn', fqdn=fqdn) }}">
                                {{ rr_del_form.csrf_token() }}
                                <input type="hidden" name="src" value="recs">
                                <input type="hidden" name="{{ rr_del_form.fqdn.name }}" value="{{ fqdn }}">
                                <input type="hidden" name="{{ rr_del_form.rr_data.name }}"
                                       value="{{ i['rr'].rr_data }}">
                                <input type="hidden" name="{{ rr_del_form.inttype.name }}"
                                       value="{{ i['rr'].inttype.name }}">
                                <button type="submit" class="btn btn-outline-danger"><i
                                        class="fa fa-trash"></i></button>
                            </form>
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}
